Skip to main content
GET
Get a blueprint service and the status of its latest dispatch

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

blueprintId
string<uuid>
required

Blueprint ID

Response

Blueprint details

id
string<uuid>
required
name
string
required
catalog_url
string<uri>
required

URL to the blueprint catalog entry

tag
string
required
Example:

"aws/postgres/17/1.0.1"

environment_id
string<uuid>
required
service_type
enum<string>
required

Type of the underlying service backing this blueprint

Available options:
HELM,
TERRAFORM
service_id
string<uuid> | null
required

The service the dispatch produced. Null while the dispatch is still running, and null if it failed.

latest_deployment
object | null
required

Latest dispatch for this blueprint. Null if it was never dispatched.